GNU bug report logs - #10551
23.3; MAC OS X Emacs doesn't get all colors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Daniel (Youngwhan) Song" <breadncup@HIDDEN>; merged with #5683; dated Thu, 19 Jan 2012 01:06:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 10551 <at> debbugs.gnu.org:


Received: (at 10551) by debbugs.gnu.org; 7 Feb 2012 22:15:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 17:15:41 2012
Received: from localhost ([127.0.0.1]:59542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RutK9-0002oa-1D
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2012 17:15:41 -0500
Received: from sa38.galvanix.net ([98.126.48.38]:51136 helo=kill.porkrind.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <david@HIDDEN>) id 1RutK5-0002oO-4l
	for 10551 <at> debbugs.gnu.org; Tue, 07 Feb 2012 17:15:39 -0500
Received: from porkrind.org (cpe-66-74-178-118.socal.res.rr.com
	[66.74.178.118])
	by kill.porkrind.org (Postfix) with ESMTPS id D8C255F122;
	Tue,  7 Feb 2012 14:14:30 -0800 (PST)
Authentication-Results: kill.porkrind.org; dkim=pass
	(1536-bit key; insecure key) header.i=@porkrind.org
	header.b=cLjza2vw; dkim-adsp=pass
Received-SPF: pass (porkrind.org: authenticated connection)
	receiver=porkrind.org; client-ip=127.0.0.1;
	helo=black.porkrind.org; envelope-from=david@HIDDEN;
	x-software=spfmilter 0.97 http://www.acme.com/software/spfmilter/ with
	libspf-unknown; 
Received: from black.porkrind.org (localhost [127.0.0.1])
	(authenticated bits=0)
	by porkrind.org (8.14.4/8.14.4/Debian-2) with ESMTP id q17MEU1u026652
	(version=TLSv1/SSLv3 cipher=DHE-RSA-CAMELLIA256-SHA bits=256
	verify=NOT); Tue, 7 Feb 2012 14:14:31 -0800
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=porkrind.org;
	s=apoptygma; t=1328652871;
	bh=MpsDVKGeoBjAsiUou1K2NgPaBJrErRFRzFKE6Yx6BbU=;
	h=Message-ID:Date:From:MIME-Version:To:CC:Subject:References:
	In-Reply-To:Content-Type;
	b=cLjza2vwpeys53tIqZxSd9IhV/8qw9E11XaycrnNy+jZxkj4T/LCQEgXrbjXJxRqd
	L/dvYNq36CMgAmneFA9yLMc10NwJp1chiRgUz77TpNkOQqqaJGIZrpZ3XektfjUzVU
	wydH1KXoMihd12F+DAbx+kefsyRX5Nv+SL2q4YwqxRU81WEF9g8t9O3rlB1hEtT2Uw
	8jrZg48Bgu1qYP3yDFokR8evRANQrWTCCBx3gmNAiNAztRgwpcZBEz7n1ja
Message-ID: <4F31A242.3010103@HIDDEN>
Date: Tue, 07 Feb 2012 14:14:26 -0800
From: David Caldwell <david@HIDDEN>
User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7;
	rv:9.0) Gecko/20111222 Thunderbird/9.0.1
MIME-Version: 1.0
To: "Daniel (Youngwhan) Song" <breadncup@HIDDEN>
Subject: Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors
References: <AAD21264-C8D2-482C-917E-61D99974CF97@HIDDEN>
	<wo62g8wksr.fsf@HIDDEN>
	<D787E7DD-2EA4-4923-A1DF-C706D1C075B0@HIDDEN>
In-Reply-To: <D787E7DD-2EA4-4923-A1DF-C706D1C075B0@HIDDEN>
X-Enigmail-Version: 1.3.5
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAQAAAD9CzEMAAAACXBIWXMAAAsTAAALEwEAmpwY
	AAAABGdBTUEAALGOfPtRkwAAACBjSFJNAAB6JQAAgIMAAPn/AACA6QAAdTAAAOpgAAA6mAAAF2+S
	X8VGAAABiklEQVR42rRYSZIDIQwzLv7/ZXLoEAzeBKG7ag4DRhZeBKQ0Qr5imLWCrKwn0HImc1Mx
	aAvmmc/cuAT7RMYws6v/gHeb0p4/y5792GJJlLZWOPgsdV5NaRes4Xe4632sLljD7wKv1Ta74H/h
	MxecN1Rc2TatYcP7zb+6WFfN/zMSHg1Ymuxjrzd+DuLw6Nlekggt1hvr7KK9tRIX85jjM6GTYhfv
	nzXH3jBdYc4koueBs66M+Xv9O9n5ML4urWssjGeMY3if3bzGSvk30BQ46OOaxJjLCpzPJAzXrOrD
	z5VFh58TIiwESIiCHNxxwPTy97qDei8YdpVdyYEv6EQcK8n+iTyE/Cn1eoe7HwN+F56oErVSGtJY
	Q1sR2ehaUHfjvJuv0tL7qAzEbBmfF2IHrVi8zp9N0pZtQZZHOXp/sLW4+hqKvm3iccaPwP3XgnKX
	n8/YtVeOsnenRG7VCBFlZ5fe3LOyANCVdGAIwDs7tTXGF4hIk15/iAfSgv2UkNFItSszOG3Ha7r0
	GQBerhBkHOAzmQAAAABJRU5ErkJggg==
Content-Type: multipart/signed; micalg=pgp-sha256;
	protocol="application/pgp-signature";
	boundary="------------enig65534202ACE6ECBB22634BBD"
X-Spam-Status: No, score=0.0 required=5.0 tests=SPF_PASS,T_DKIM_INVALID,
	UNPARSEABLE_RELAY autolearn=ham version=3.3.2
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on kill.porkrind.org
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10551
Cc: Glenn Morris <rgm@HIDDEN>, 10551 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig65534202ACE6ECBB22634BBD
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

On 2/7/12 1:44 PM, Daniel (Youngwhan) Song wrote:
> The MAC OS X Emacs version has not been compiled by me, but David
Caldwell, whose email is cced here, too.

Hi, just wanted to clarify a little. The Emacs Daniel is running is from
emacsformacosx.com. It was built by me from the GNU source (pristine: no
extra patches) with this script:
<https://github.com/caldwell/build-emacs>, the salient part being lines
28 and 29 in "build-emacs-functions":

    (cd $SRC && env CC=3D"$GCC -mmacosx-version-min=3D$MIN_OS" ./configur=
e
--host=3D$HOST --build=3Di686-apple-darwin --with-ns &&
        env CC=3D"$GCC -mmacosx-version-min=3D$MIN_OS" make clean install=
)

which can be con boiled down to

    ./configure --host=3D$HOST --build=3Di686-apple-darwin --with-ns &&
        make clean install

The build script runs as a normal unprivileged user and sudo is not
involved so the "don't build as root" resolution in bug 5683 doesn't
seem to apply in this case.

It could certainly still be a problem building--I'm not going to claim
my build script is beyond reproach. :-) But at this point it doesn't
appear that way.

-David


--------------enig65534202ACE6ECBB22634BBD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (Darwin)

iQCVAwUBTzGiRaf81MBhyqGFAQiykgP+MOdeBv1WJU7R8Ia2S0+1yrjl60wV2oib
SF7aYvUBi+AoNktr3EdpVIIDbaqp7Nx80iYZEUBjwHz2g6i9QN60vxYX/cg4nFrz
YSM0U2msJb7JxlJ8UFCUSsERYNWE8Jd+NKZ2/TH4QvCl9LZGeuhDmb3fk4vAVUgb
o1x5vCw8Fv8=
=kmdv
-----END PGP SIGNATURE-----

--------------enig65534202ACE6ECBB22634BBD--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10551; Package emacs,ns. Full text available.

Message received at 10551 <at> debbugs.gnu.org:


Received: (at 10551) by debbugs.gnu.org; 7 Feb 2012 21:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 07 16:46:03 2012
Received: from localhost ([127.0.0.1]:59512 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RusrS-0001L2-ER
	for submit <at> debbugs.gnu.org; Tue, 07 Feb 2012 16:46:03 -0500
Received: from mail-pz0-f44.google.com ([209.85.210.44]:43951)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <breadncup@HIDDEN>) id 1RusrQ-0001KY-N1
	for 10551 <at> debbugs.gnu.org; Tue, 07 Feb 2012 16:46:01 -0500
Received: by dakl33 with SMTP id l33so5877562dak.3
	for <10551 <at> debbugs.gnu.org>; Tue, 07 Feb 2012 13:44:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=subject:mime-version:content-type:from:in-reply-to:date:cc
	:content-transfer-encoding:message-id:references:to:x-mailer;
	bh=7EoYCyCz2TEac/tqG22Xnr2vAPqpqdRI9op2uI1zaug=;
	b=e2Q99jVdzt5M7HttwWDe23Px0q9ZxzJBHQ39f31SvPwPYKnXDWrQCS/JbgMR84mc/J
	R1jlNjO76g6rWUdGjTctl50np3rXQ2U8i8NJdhcAQXPubndLTwNTYhisGrIeDb9SM3yc
	xVF2s8APMEQKKuY5jphUS05NSX21ZqO3jli8Y=
Received: by 10.68.74.132 with SMTP id t4mr61697048pbv.22.1328651095271;
	Tue, 07 Feb 2012 13:44:55 -0800 (PST)
Received: from dhcp-128-107-139-113.cisco.com (dhcp-128-107-139-113.cisco.com.
	[128.107.139.113])
	by mx.google.com with ESMTPS id x6sm49332997pbf.7.2012.02.07.13.44.52
	(version=TLSv1/SSLv3 cipher=OTHER);
	Tue, 07 Feb 2012 13:44:53 -0800 (PST)
Subject: Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors
Mime-Version: 1.0 (Apple Message framework v1084)
Content-Type: text/plain; charset=us-ascii
From: "Daniel (Youngwhan) Song" <breadncup@HIDDEN>
In-Reply-To: <wo62g8wksr.fsf@HIDDEN>
Date: Tue, 7 Feb 2012 13:44:53 -0800
Content-Transfer-Encoding: quoted-printable
Message-Id: <D787E7DD-2EA4-4923-A1DF-C706D1C075B0@HIDDEN>
References: <AAD21264-C8D2-482C-917E-61D99974CF97@HIDDEN>
	<wo62g8wksr.fsf@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
X-Mailer: Apple Mail (2.1084)
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10551
Cc: 10551 <at> debbugs.gnu.org, David Caldwell <david@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Hi Glenn,

The MAC OS X Emacs version has not been compiled by me, but David =
Caldwell, whose email is cced here, too.

It looks building as a root shouldn't be a resolution of it, and I feel =
it should be taken care of it in gnu emacs team.

Daniel

On Jan 18, 2012, at 5:19 PM, Glenn Morris wrote:

> "Daniel (Youngwhan) Song" wrote:
>=20
>> After a MAC OS X Emacs starts, when I do "M-x list-colors-display", =
it
>> shows only 37 colors.=20
>=20
> This was reported previously. Do the comments in
>=20
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D5683#19
>=20
> apply to you as well?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10551; Package emacs,ns. Full text available.
Merged 5683 10551. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10551 <at> debbugs.gnu.org:


Received: (at 10551) by debbugs.gnu.org; 19 Jan 2012 01:21:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 18 20:21:02 2012
Received: from localhost ([127.0.0.1]:34928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RnggX-0003VF-62
	for submit <at> debbugs.gnu.org; Wed, 18 Jan 2012 20:21:01 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:43527)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1RnggU-0003V7-2R
	for 10551 <at> debbugs.gnu.org; Wed, 18 Jan 2012 20:20:58 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1RngfM-0005hK-U5; Wed, 18 Jan 2012 20:19:48 -0500
From: Glenn Morris <rgm@HIDDEN>
To: "Daniel \(Youngwhan\) Song" <breadncup@HIDDEN>
Subject: Re: bug#10551: 23.3; MAC OS X Emacs doesn't get all colors
References: <AAD21264-C8D2-482C-917E-61D99974CF97@HIDDEN>
X-Spook: Serbian bemd eternity server George W. Bush Lon Horiuchi
X-Ran: (|<ERXo-Yg/!?)I$!!!y',$}8f[ghTbcX!)-N'Q0k0^BhZO/#a+;(+GC2ZK8s`1K~>zaz[
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 18 Jan 2012 20:19:48 -0500
In-Reply-To: <AAD21264-C8D2-482C-917E-61D99974CF97@HIDDEN> (Daniel Song's
	message of "Wed, 18 Jan 2012 17:01:46 -0800")
Message-ID: <wo62g8wksr.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10551
Cc: 10551 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

"Daniel (Youngwhan) Song" wrote:

> After a MAC OS X Emacs starts, when I do "M-x list-colors-display", it
> shows only 37 colors. 

This was reported previously. Do the comments in

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5683#19

apply to you as well?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10551; Package emacs,ns. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 19 Jan 2012 01:05:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 18 20:05:09 2012
Received: from localhost ([127.0.0.1]:34898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RngRA-00034G-UA
	for submit <at> debbugs.gnu.org; Wed, 18 Jan 2012 20:05:09 -0500
Received: from eggs.gnu.org ([140.186.70.92]:44997)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <breadncup@HIDDEN>) id 1RngPC-00030m-9m
	for submit <at> debbugs.gnu.org; Wed, 18 Jan 2012 20:03:07 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <breadncup@HIDDEN>) id 1RngO4-0007jc-0n
	for submit <at> debbugs.gnu.org; Wed, 18 Jan 2012 20:01:57 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:46687)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <breadncup@HIDDEN>) id 1RngO3-0007jY-Vb
	for submit <at> debbugs.gnu.org; Wed, 18 Jan 2012 20:01:55 -0500
Received: from eggs.gnu.org ([140.186.70.92]:40640)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <breadncup@HIDDEN>) id 1RngO2-0007ns-ER
	for bug-gnu-emacs@HIDDEN; Wed, 18 Jan 2012 20:01:55 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <breadncup@HIDDEN>) id 1RngO0-0007jL-DU
	for bug-gnu-emacs@HIDDEN; Wed, 18 Jan 2012 20:01:54 -0500
Received: from mail-iy0-f169.google.com ([209.85.210.169]:59008)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <breadncup@HIDDEN>) id 1RngO0-0007jH-8i
	for bug-gnu-emacs@HIDDEN; Wed, 18 Jan 2012 20:01:52 -0500
Received: by iadj38 with SMTP id j38so6349920iad.0
	for <bug-gnu-emacs@HIDDEN>; Wed, 18 Jan 2012 17:01:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=from:content-type:content-transfer-encoding:date:subject:to
	:message-id:mime-version:x-mailer;
	bh=AKk15qmJ20fn0oc0BQtAe1a++nhR2jfPZK4J5iA4l/E=;
	b=rGsKNnlgrmDv1VFKNqlGtxmUG2s+XW2RVNwY/tZVhCb9nlFGhquMOisChpQQuOvVAe
	uuy4eqsaCzo+ipNynfeOJLhm9TqYiRxz4anFbmHIkphvgKX5GoPLXmRKRbnatfeALElp
	WpJoUbxzo+K5APx3cydsvrdZLIMmdkAefdDAE=
Received: by 10.50.195.227 with SMTP id ih3mr25070958igc.19.1326934910954;
	Wed, 18 Jan 2012 17:01:50 -0800 (PST)
Received: from mgy-w2k1.cisco.com (mgy-w2k1.cisco.com. [128.107.139.124])
	by mx.google.com with ESMTPS id z22sm94830089ibg.5.2012.01.18.17.01.48
	(version=TLSv1/SSLv3 cipher=OTHER);
	Wed, 18 Jan 2012 17:01:49 -0800 (PST)
From: "Daniel (Youngwhan) Song" <breadncup@HIDDEN>
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Date: Wed, 18 Jan 2012 17:01:46 -0800
Subject: 23.3; MAC OS X Emacs doesn't get all colors
To: bug-gnu-emacs@HIDDEN
Message-Id: <AAD21264-C8D2-482C-917E-61D99974CF97@HIDDEN>
Mime-Version: 1.0 (Apple Message framework v1084)
X-Mailer: Apple Mail (2.1084)
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 18 Jan 2012 20:05:08 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

HI,

After a MAC OS X Emacs starts, when I do "M-x list-colors-display", it
shows only 37 colors.=20

David Caldwell showed me that it can be corrected
by "Type "C-h v x-colors" to get help on the x-color variable. Then =
click
where it says "common-win.el.gz" to go to the definition of the variable
in the emacs source code. Then type "C-M-x" to re-evaluate that part of
the code. Now when you do list-colors-display you should have 500+
colors."

It may be a bug, and should be fixed.

Thanks,
Daniel


In GNU Emacs 23.3.1 (x86_64-apple-darwin, NS apple-appkit-1038.36)
of 2011-12-13 on bob.porkrind.org
Windowing system distributor `Apple', version 10.3.1038
configured using `configure  '--host=3Dx86_64-apple-darwin' =
'--build=3Di686-apple-darwin' '--with-ns' =
'build_alias=3Di686-apple-darwin' 'host_alias=3Dx86_64-apple-darwin' =
'CC=3Dgcc -mmacosx-version-min=3D10.5''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  nxhtml-menu-mode: t
  nxhtml-tag-do-also: t
  popcmp-group-alternatives: t
  popcmp-short-help-beside-alts: t
  mlinks-active-links: t
  rngalt-minimal-validation-header: t
  rngalt-display-validation-header: t
  desktop-save-mode: t
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>=20
<triple-wheel-up> <triple-wheel-up> <triple-wheel-up>=20
<triple-wheel-up> <triple-wheel-up> <wheel-down> <double-wheel-down>=20
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>=20
<triple-wheel-down> <triple-wheel-down> <triple-wheel-down>=20
<triple-wheel-down> <triple-wheel-down> <down-mouse-1>=20
<mouse-1> C-x b n o <tab> <return> C-x 1 C-r k e r=20
n e l C-r C-r <return> C-a C-n C-SPC <down> M-w C-p=20
C-y C-p C-n M-f M-f M-f M-f M-f M-f M-f M-f M-f <right>=20
<right> <right> <right> C-d 4 <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> C-d C-d C-d C-d C-d=20
C-d C-d C-d <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> C-a C-SPC C-e M-w C-a C-SPC=20
C-e M-w C-a C-SPC C-e M-w C-a C-SPC C-e M-w C-a C-h=20
v x - 0 <backspace> c o l o <tab> <return> C-x o C-s=20
c o m m o n C-g C-x o C-x o M-< <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<right> <right> <right> <right> <right> <right> <right>=20
<return> C-M-x M-x d i s <tab> <backspace> <backspace>=20
<backspace> l i s t <tab> d i s <tab> c o <tab> <return>=20
C-x o C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v=20
C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-v C-x=20
0 M-x r e p o y <backspace> <tab> r t <tab> <retur
n>

Recent messages:
call-interactively: End of bufferError during redisplay: (void-function =
mode-line-mode-name)
Error during redisplay: (void-function mode-line-mode-name) [2 times]
call-interactively: End of bufferError during redisplay: (void-function =
mode-line-mode-name)
Error during redisplay: (void-function mode-line-mode-name) [2 times]
call-interactively: End of bufferError during redisplay: (void-function =
mode-line-mode-name)
Error during redisplay: (void-function mode-line-mode-name) [2 times]
call-interactively: End of bufferError during redisplay: (void-function =
mode-line-mode-name)
Error during redisplay: (void-function mode-line-mode-name) [3 times]
Making completion list...
Error during redisplay: (void-function mode-line-mode-name) [4 times]

Load-path shadows:
/Users/dansong/.emacs.d/nxhtml/related/php-mode hides =
~/.emacs.d/php-mode
~/.emacs.d/ansi-color hides =
/Applications/Emacs.app/Contents/Resources/lisp/ansi-color

Features:
(shadow sort mail-extr message ecomplete rfc822 mml mml-sec mailabbrev
nnheader gmm-utils mailheader canlock sha1 hex-util hashcash mail-utils
emacsbug jka-compr find-func multi-isearch newcomment python-21 python
sh-script xcscope php-mode etags cc-langs cc-mode cc-fonts cc-menus
speedbar sb-image ezimage dframe mercurial vc vc-dispatcher executable
color-theme sendmail reporter nxhtml-autostart nxhtml-autoload moz
cc-cmds majmodpri vc-git nxhtml-menu udev-rinari udev-ecb udev
flymake-js flymake css-color nxhtml-mode html-quote tidy-xhtml ediff
html-imenu imenu loadhist popcmp xhtml-help mlinks html-toc xml fupd
html-pagetoc foldit appmenu-fold appmenu mumamo sgml-mode rngalt
rng-nxml nxml-mode nxml-outln nxml-rap nxml-glyph rng-valid rng-loc
rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn nxml-ns
nxml-util nxml-enc xmltok desktop help-mode view flyspell ispell
fold-dwim hideshow html-upl html-site ourcomments-util uniquify recentf
tree-widget org org-footnote org-src org-list org-faces org-compat
org-macs noutline outline ido bookmark apropos grep ffip compile
gimpedit web-vcs rx url-http tls url url-proxy url-privacy url-expand
url-methods url-history url-auth url-cookie url-util url-parse url-gw
url-vars mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mm-util mail-prsvr cus-edit cus-start
cus-load web-autoload nxhtml-base tramp-imap assoc tramp-gw tramp-fish
tramp-smb tramp-cache tramp-ftp tramp-cmds tramp auth-source gnus-util
netrc time-date password-cache format-spec tramp-compat trampver git
ewoc psvn byte-opt warnings bytecomp byte-compile derived wid-edit
log-edit pcvs-util add-log diff-mode easy-mmode pp elp ediff-merg
ediff-diff ediff-wind ediff-mult ediff-help ediff-init ediff-util dired
cpp-match cc-styles cc-align cc-engine cc-vars cc-defs regexp-opt bm
edmacro kmacro info shell-command shell comint ring advice help-fns
advice-preload ansi-color misc-cmds cl cl-19 tooltip ediff-hook vc-hooks
lisp-float-type mwheel ns-win easymenu tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev loaddefs button minibuffer faces cus-face files text-properties
overlay md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process ns multi-tty
emacs)




Acknowledgement sent to "Daniel (Youngwhan) Song" <breadncup@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10551; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.